
/*
@The skeleton was generated by VUTGenerator@
=======================================
module_name: shifterR
---------------------------------------
Author: <author>
Data: <date>
---------------------------------------
Description: <description>
=======================================
*/

module shifterR(clk,in_data,enable,reset,n,out_data);
//Inputs
    input [2:0] n;
    input [7:0] in_data;
    input clk;
    input enable;
    input reset;

//Outputs
    output [7:0] out_data;

//Wires
    wire [2:0] n;
    wire [7:0] in_data;
    wire clk;
    wire enable;
    wire reset;

//Regs
    reg [7:0] out_data;

//Behavior



endmodule
